Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder.waits
Class WaitForEditor

    java.lang.Object
      org.eclipse.swtbot.swt.finder.waits.DefaultCondition
          org.eclipse.swtbot.swt.finder.waits.WaitForObjectCondition<IEditorReference>
              org.eclipse.swtbot.eclipse.finder.waits.WaitForEditor

All Implemented Interfaces:
  ICondition

    public class WaitForEditor

extends WaitForObjectCondition<IEditorReference>

Waits until an editor that matches the specified matcher appears.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>, Ralf Ebert www.ralfebert.de (bug 271630)

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.waits.WaitForObjectCondition
`matcher`

Fields inherited from class org.eclipse.swtbot.swt.finder.waits.DefaultCondition
`bot`

Method Summary
`protected List<IEditorReference>` | `findMatches()`
`String` | `getFailureMessage()` Gets the failure message when a test fails (returns `false`).

Methods inherited from class org.eclipse.swtbot.swt.finder.waits.WaitForObjectCondition
`get, getAllMatches, test`

Methods inherited from class org.eclipse.swtbot.swt.finder.waits.DefaultCondition
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFailureMessage

    public String getFailureMessage()

  Description copied from interface: `ICondition`
  Gets the failure message when a test fails (returns `false`).

  Returns:
    the failure message to show in case the test fails.

### findMatches

    protected List<IEditorReference> findMatches()

  Specified by:
    `findMatches` in class `WaitForObjectCondition<IEditorReference>`
  Returns:
    the matches that subclasses that matched.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD